// Copyright © 2009, Esko Luontola <www.orfjackal.net>
// This software is released under the Apache License 2.0.
// The license text is at http://www.apache.org/licenses/LICENSE-2.0

package addressbook;

import addressbook.domain.AddressBook;
import addressbook.gui.*;

import javax.swing.*;

/**
 * @author Esko Luontola
 */
public class AppLauncher {

    public static void main(String[] args) {
        SwingUtilities.invokeLater(new Runnable() {
            public void run() {

                AddressBook book = new AddressBook();
                AddressBookController controller = new AddressBookController(book);
                AddressBookViewImpl view = new AddressBookViewImpl(controller);
                controller.setView(view);

                JFrame frame = new JFrame("AddressBook");
                frame.setContentPane(view.getComponent());
                frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
                frame.setSize(600, 500);
                frame.setLocationByPlatform(true);
                frame.setVisible(true);
            }
        });
    }
}
