// Copyright © 2009, Esko Luontola <www.orfjackal.net>
// This software is released under the Apache License 2.0.
// The license text is at http://www.apache.org/licenses/LICENSE-2.0

package addressbook.gui;

import javax.swing.event.*;

/**
 * @author Esko Luontola
 */
public abstract class DocumentChangeListener implements DocumentListener {

    public void insertUpdate(DocumentEvent e) {
        onDocumentChanged(e);
    }

    public void removeUpdate(DocumentEvent e) {
        onDocumentChanged(e);
    }

    public void changedUpdate(DocumentEvent e) {
        onDocumentChanged(e);
    }

    public abstract void onDocumentChanged(DocumentEvent e);
}
